Actualizaciones del motor de base de datos de Aurora MySQL del 09/01/2019 (versión 2.03.2) (obsoleta) - Amazon Aurora

Las traducciones son generadas a través de traducción automática. En caso de conflicto entre la traducción y la version original de inglés, prevalecerá la version en inglés.

Actualizaciones del motor de base de datos de Aurora MySQL del 09/01/2019 (versión 2.03.2) (obsoleta)

Versión: 2.03.2

Aurora MySQL 2.03.2 ya está disponible con carácter general. Las versiones 2.x de Aurora MySQL son compatibles con MySQL 5.7 y las versiones 1.x de Aurora MySQL son compatibles con MySQL 5.6.

Al crear un nuevo clúster de base de datos de Aurora MySQL (incluida la restauración a partir de instantáneas), puede elegir la compatibilidad con MySQL 5.7 o MySQL 5.6.

No permitimos la actualización in situ de los clústeres de Aurora MySQL 1.* a Aurora MySQL 2.03.2 ni la restauración a Aurora MySQL 2.03.2 desde una copia de seguridad de Amazon S3. Tenemos previsto quitar estas restricciones en una versión posterior de Aurora MySQL 2.*.

Si tiene alguna pregunta o duda, el servicio de AWS asistencia está disponible en los foros de la comunidad y a través de AWS Support. Para obtener más información, consulte Mantenimiento de un clúster de base de datos de Amazon Aurora en la Guía del usuario de Amazon Aurora.

nota

Actualmente, esta versión no está disponible en las regiones AWS GovCloud (EE. UU. Oeste) [us-gov-west-1] y China (Beijing) [cn-north-1]. Cuando esté disponible, enviaremos una notificación aparte.

nota

El procedimiento para actualizar su clúster de base de datos ha cambiado. Para obtener información, consulte Actualización de la versión secundaria o el nivel de parche de un clúster de bases de datos Aurora MySQL en la Guía del usuario de Amazon Aurora.

Mejoras

Correcciones fundamentales:

Comparación con Aurora MySQL, versión 1

Las siguientes características de Amazon Aurora MySQL se admiten en Aurora MySQL, versión 1 (compatible con MySQL 5.6), pero esas características no se admiten en Aurora MySQL, versión 2 (compatible con MySQL 5.7).

Compatibilidad de MySQL 5.7

Aurora MySQL 2.03.2 es compatible con cables con MySQL 5.7 e incluye características como la compatibilidad con JSON, índices espaciales y columnas generadas. Aurora MySQL usa una implementación nativa de la indexación espacial mediante curvas de orden z para multiplicar por más de 20 el rendimiento de escritura y por más de 10 el rendimiento de lectura en comparación con MySQL 5.7 para conjuntos espaciales.

Aurora MySQL 2.03.2 no admite actualmente las siguientes características de MySQL 5.7:

  • Identificadores de transacciones globales (GTID) Aurora MySQL admite GTID en la versión 2.04 y superior.

  • Complemento de replicación de grupo

  • Tamaño de página incrementado

  • Carga de grupo de búfer de InnoDB al inicio

  • Complemento de analizador de texto completo de InnoDB

  • Replicación de varios orígenes

  • Cambio de tamaño de grupo de búfer online

  • Complemento de validación de contraseñas

  • Complementos de reescritura de consulta

  • Filtrado de replicación

  • La instrucción SQL CREATE TABLESPACE

  • Protocolo X